[English version 🇬🇧](/skunky/SkunkyArt/src/branch/master/SETUP.md)

# Единицы измерения
Размер файла в кеше измеряется в мегабайтах.<br>
Единицы времени:
* `i` — минуты
* `h` — часы
* `w` — недели
* `m` — месяца
* `y` — года

# Конфигурация
* `listen` — IP и порт для слушанья; заполняется по такой форме: ip:port
* `uri` — URI инстанса. Пример: `"uri":"/art/"` -> https://skunky.ebloid.ru/art/
* `cache` — Система кеширования; по умолчанию выключена
  * `enabled` — Состояние системы кеширования; требуется булёвое значение
  * `path` — Полный путь до каталога, куда будет сохраняться кеш
  * `lifetime` — Время жизни файла в кеше, требует целочисленное значение, дополненное суффиксом времени (см. 'Единицы времени')
  * `max-size` — Максимальный размер файла
  * `update-interval` — Интервал для автоматической ротации кеша
* `static-path` — Строка, являющаяся путём до статики. SkunkyArt при запуске скопирует содержимое этого каталога в ОЗУ. Однако, если вы собрали фронтенд с тегом 'embed', то этого не произайдёт
* `download-proxy` — Адрес прокси для загрузки файлов
* `user-agent` — Строка, которая используется в качестве User-Agent'а

# Настройка обратного прокси
Если вы собираетесь хостить инстанс в Интернете, то вам следует настроить заголовок прокси [`X-Forwarded-Proto`](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/X-Forwarded-Proto). В противном случае, все ссылки на вашем инстансе будут вида "http". Ниже есть информация о том, как настроить обратное проксирование:

Nginx:
```apache
server {
    listen 443 ssl;
    server_name skunky.example.com;
    
    # Если используется поддомен, то вместо ((BASE_URL)), укажите '/'.
    location ((BASE_URL)) {
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header Host $host;
        proxy_http_version 1.1;
        proxy_pass http://((IP)):((PORT));
    }
}
```